Page MenuHomePhabricator

Change favicon for Harbormaster builds
Closed, WontfixPublic

Description

Bamboo does this and it's useful when you have a lot of builds open in lots of tabs. Basically it changes the colour of the icon in the title bar based on whether the build is building / has passed / has failed.

Event Timeline

hach-que created this task.Aug 12 2014, 2:10 AM
hach-que raised the priority of this task from to Needs Triage.
hach-que updated the task description. (Show Details)
hach-que added a project: Harbormaster.
hach-que added subscribers: hach-que, epriestley.
chad added a subscriber: chad.Aug 12 2014, 3:12 AM

Do you mean the favicon?

chad renamed this task from Change colour of icon for Harbormaster builds to Change favicon for Harbormaster builds?.Aug 12 2014, 3:17 AM

maybe if the build had failed a sound could play too

like a foghorn

WHOOOORNRNRNRNRNRNNNRNRNNRNRNRNRNRNRNRNRNRNRNRNNRRNRNRNRNNRNRNRNRNRNRNRNRNRRNRNRNRRN

chad added a comment.Aug 12 2014, 3:52 AM

Is Bamboo just Bamboo, or does that domain also run like 60 other apps?

In T5857#8, @epriestley wrote:

maybe if the build had failed a sound could play too
like a foghorn
WHOOOORNRNRNRNRNRNNNRNRNNRNRNRNRNRNRNRNRNRNRNRNNRRNRNRNRNNRNRNRNRNRNRNRNRNRRNRNRNRRN

It's on the same domain as JIRA. I'm reasonably sure they use Javascript to change the favicon and thus it doesn't impact favicon.ico at all.

waynea added a subscriber: waynea.Aug 13 2014, 11:47 AM
In T5857#8, @epriestley wrote:

maybe if the build had failed a sound could play too
like a foghorn
WHOOOORNRNRNRNRNRNNNRNRNNRNRNRNRNRNRNRNRNRNRNRNNRRNRNRNRNNRNRNRNRNRNRNRNRNRRNRNRNRRN

I've been working on a Quadcopter that has a mounted nerf turret that seeks and destroys anyone who breaks builds, I'm working on the feature to integrate this with phabricator as we speak... ;)

chad renamed this task from Change favicon for Harbormaster builds? to Change favicon for Harbormaster builds.Aug 22 2014, 12:08 AM
chad triaged this task as Low priority.

Some possible dovetailing with T5368.

T5939 is also vaguely related.

epriestley moved this task from Backlog to Future on the Harbormaster board.Aug 10 2015, 2:35 PM
eadler added a project: Restricted Project.Aug 5 2016, 4:44 PM
epriestley closed this task as Wontfix.Mar 12 2018, 7:14 PM
epriestley claimed this task.

I'm rolling this forward into T13103 but don't actually plan to implement Harbormaster build icons at this time since there are no outstanding requests from customers.